Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class PathExpr

    java.lang.Object
      com.novell.xml.xpath.NodeSetExpr
          com.novell.xml.xpath.PathExpr

All Implemented Interfaces:
  Expression

    public class PathExpr

extends NodeSetExpr
implements Expression

This class implements some of the functionality of an XPath PathExpr production. In particular, it implements the composition of an arbitrary expression and a RelativeLocationPath.

Constructor Summary
`PathExpr(Expression lhs, RelativeLocationPath rhs)`

Method Summary
`ExpressionValue` | `evaluate(Node contextNode, ExpressionContext context)` Evaluate the expression with repect to the passed context

Methods inherited from class com.novell.xml.xpath.NodeSetExpr
`dump, getResultType, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.xml.xpath.Expression
`dump, getResultType, isConstant, registerForReset`

Constructor Detail

### PathExpr

    public PathExpr(Expression lhs,
                    RelativeLocationPath rhs)

Method Detail

### evaluate

    public ExpressionValue evaluate(Node contextNode,
                                    ExpressionContext context)
                             throws XPathEvaluationException

  Evaluate the expression with repect to the passed context

  Specified by:
    `evaluate` in interface `Expression`
  Parameters:
    `contextNode` - context node for expression evaluation
    `context` - expression context for expression evaluation
  Returns:
    result of evaluating expression
  Throws:
    `XPathEvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD